<!-- prettier-ignore-start -->
# Class SourceCodeStatusCodes

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.campaign.SourceCodeStatusCodes](dw.campaign.SourceCodeStatusCodes.md)

Helper class which contains error result codes returned by the SetSourceCode
pipelet.



## Constant Summary

| Constant | Description |
| --- | --- |
| [CODE_INACTIVE](#code_inactive): [String](TopLevel.String.md) = "CODE_INACTIVE" | Indicates that the specified source code was found in one or more  source-code groups, none of which are active. |
| [CODE_INVALID](#code_invalid): [String](TopLevel.String.md) = "CODE_INVALID" | Indicates that the specified source code is not contained  in any source-code group. |

## Constructor Summary

| Constructor | Description |
| --- | --- |
| [SourceCodeStatusCodes](#sourcecodestatuscodes)() |  |

## Method Summary

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constant Details

### CODE_INACTIVE

- CODE_INACTIVE: [String](TopLevel.String.md) = "CODE_INACTIVE"
  - : Indicates that the specified source code was found in one or more
      source-code groups, none of which are active.



---

### CODE_INVALID

- CODE_INVALID: [String](TopLevel.String.md) = "CODE_INVALID"
  - : Indicates that the specified source code is not contained
      in any source-code group.



---

## Constructor Details

### SourceCodeStatusCodes()
- SourceCodeStatusCodes()
  - : 


---

<!-- prettier-ignore-end -->
